<?php
namespace Modules\Appointment\Repositories\Interfaces;

use App\Repositories\Interfaces\EloquentRepositoryInterface;

interface ScheduleRepositoryInterface extends EloquentRepositoryInterface
{
    public function index(): array;
    public function userSchedule(array $payload);
    public function userTimeSlot(array $payload);
    public function setSchedule(array $payload);
    public function changeWeek(array $payload): array;
    public function searchSchedule(array $payload): array;
    public function datePeriods(): array;
    public function schedule($slug): array;
    public function edit($modelId): array;
}
